# OrderExternalStatus

## Retrieve a specific order external status

> Get details of a specific order external status by its ID.

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"id_path":{"name":"id","in":"path","description":"Unique identifier of the resource","required":true,"schema":{"type":"integer"}}},"schemas":{"OrderExternalStatus":{"type":"object","description":"A model representing external statuses of an order with a name and unique code.","properties":{"pk":{"type":"integer","description":"Unique identifier for the order.","readOnly":true},"uuid":{"type":"string","format":"uuid","description":"The unique identifier for the external status."},"name":{"type":"string","maxLength":64,"description":"The name of the external status."},"code":{"type":"string","maxLength":64,"description":"A unique code representing the external status."},"modified_date":{"type":"string","format":"date-time","readOnly":true,"description":"Modified Date"},"created_date":{"type":"string","format":"date-time","readOnly":true,"description":"Created Date"}},"required":["name","code"]}},"responses":{"401":{"description":"Unauthorized Access","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Contains a detailed description of the error."},"code":{"type":"string","description":"Represents the server-side error code."}}}}}},"403":{"description":"Forbidden"},"404":{"description":"The given resource or object was not found or does not exist.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"description":"Contains a detailed description of the error.","type":"string"}}}}}},"500":{"description":"Server Error"}}},"paths":{"/api/v1/order_external_statuses/{id}/":{"get":{"summary":"Retrieve a specific order external status","description":"Get details of a specific order external status by its ID.","tags":["OrderExternalStatus"],"parameters":[{"$ref":"#/components/parameters/id_path"}],"responses":{"200":{"description":"Details of the specified order external status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderExternalStatus"}}}},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## Update order external status

> Update an existing order external status.

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"id_path":{"name":"id","in":"path","description":"Unique identifier of the resource","required":true,"schema":{"type":"integer"}}},"schemas":{"OrderExternalStatus":{"type":"object","description":"A model representing external statuses of an order with a name and unique code.","properties":{"pk":{"type":"integer","description":"Unique identifier for the order.","readOnly":true},"uuid":{"type":"string","format":"uuid","description":"The unique identifier for the external status."},"name":{"type":"string","maxLength":64,"description":"The name of the external status."},"code":{"type":"string","maxLength":64,"description":"A unique code representing the external status."},"modified_date":{"type":"string","format":"date-time","readOnly":true,"description":"Modified Date"},"created_date":{"type":"string","format":"date-time","readOnly":true,"description":"Created Date"}},"required":["name","code"]}},"responses":{"401":{"description":"Unauthorized Access","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Contains a detailed description of the error."},"code":{"type":"string","description":"Represents the server-side error code."}}}}}},"403":{"description":"Forbidden"},"404":{"description":"The given resource or object was not found or does not exist.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"description":"Contains a detailed description of the error.","type":"string"}}}}}},"500":{"description":"Server Error"}}},"paths":{"/api/v1/order_external_statuses/{id}/":{"put":{"summary":"Update order external status","description":"Update an existing order external status.","tags":["OrderExternalStatus"],"parameters":[{"$ref":"#/components/parameters/id_path"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderExternalStatus"}}}},"responses":{"200":{"description":"The order external status updated successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderExternalStatus"}}}},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## Delete order external status

> Delete a order external status.

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"id_path":{"name":"id","in":"path","description":"Unique identifier of the resource","required":true,"schema":{"type":"integer"}}},"responses":{"204":{"description":"No content"},"403":{"description":"Forbidden"},"404":{"description":"The given resource or object was not found or does not exist.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"description":"Contains a detailed description of the error.","type":"string"}}}}}}}},"paths":{"/api/v1/order_external_statuses/{id}/":{"delete":{"summary":"Delete order external status","description":"Delete a order external status.","tags":["OrderExternalStatus"],"parameters":[{"$ref":"#/components/parameters/id_path"}],"responses":{"204":{"$ref":"#/components/responses/204"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"}}}}}}
```

## Update order external status

> Update an existing order external status.

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"id_path":{"name":"id","in":"path","description":"Unique identifier of the resource","required":true,"schema":{"type":"integer"}}},"schemas":{"OrderExternalStatus":{"type":"object","description":"A model representing external statuses of an order with a name and unique code.","properties":{"pk":{"type":"integer","description":"Unique identifier for the order.","readOnly":true},"uuid":{"type":"string","format":"uuid","description":"The unique identifier for the external status."},"name":{"type":"string","maxLength":64,"description":"The name of the external status."},"code":{"type":"string","maxLength":64,"description":"A unique code representing the external status."},"modified_date":{"type":"string","format":"date-time","readOnly":true,"description":"Modified Date"},"created_date":{"type":"string","format":"date-time","readOnly":true,"description":"Created Date"}},"required":["name","code"]}},"responses":{"401":{"description":"Unauthorized Access","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Contains a detailed description of the error."},"code":{"type":"string","description":"Represents the server-side error code."}}}}}},"403":{"description":"Forbidden"},"404":{"description":"The given resource or object was not found or does not exist.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"description":"Contains a detailed description of the error.","type":"string"}}}}}},"500":{"description":"Server Error"}}},"paths":{"/api/v1/order_external_statuses/{id}/":{"patch":{"summary":"Update order external status","description":"Update an existing order external status.","tags":["OrderExternalStatus"],"parameters":[{"$ref":"#/components/parameters/id_path"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderExternalStatus"}}}},"responses":{"200":{"description":"The order external status updated successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderExternalStatus"}}}},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## List order external statuses

> Retrieve a paginated list of all order external statuses.

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"page":{"name":"page","in":"query","required":false,"description":"Specifies the page number of the current dataset","schema":{"type":"integer","minimum":1,"default":1}},"limit":{"name":"limit","in":"query","required":false,"description":"Indicates the number of rows on the current page.","schema":{"type":"integer","minimum":1,"default":10}},"created_date":{"name":"created_date","in":"query","required":false,"description":"Filter by creation date using supported lookup expressions (e.g., `gt`, `gte`, `lt`, `lte`, `date__gt`, etc.).","schema":{"type":"string","format":"date-time"}},"modified_date":{"name":"modified_date","in":"query","required":false,"description":"Filter by modification date using supported lookup expressions (e.g., `gt`, `gte`, `lt`, `lte`, `date__gt`, etc.).","schema":{"type":"string","format":"date-time"}},"pk":{"name":"pk","in":"query","required":false,"description":"Filters by primary key","schema":{"type":"integer"}},"pk__gt":{"name":"pk__gt","in":"query","description":"Filter by primary key greater than a specific value.","schema":{"type":"string"}},"pk__gte":{"name":"pk__gte","in":"query","required":false,"description":"Filters by primary key greater than or equal to the given value","schema":{"type":"integer"}},"pk__lt":{"name":"pk__lt","in":"query","required":false,"description":"Filters by primary key less than the given value","schema":{"type":"integer"}},"pk__lte":{"name":"pk__lte","in":"query","required":false,"description":"Filters by primary key less than or equal to the given value","schema":{"type":"integer"}},"pk__in":{"name":"pk__in","in":"query","description":"Filter by multiple primary key values (comma-separated list of integers)","required":false,"schema":{"type":"array","items":{"type":"integer"}},"style":"form","explode":false},"uuid":{"name":"uuid","in":"query","description":"Filter by UUID.","required":false,"schema":{"type":"string"}},"name":{"name":"name","in":"query","description":"Filter by name.","schema":{"type":"string"}},"code":{"name":"code","in":"query","description":"Filter by code.","required":false,"schema":{"type":"string"}}},"schemas":{"OrderExternalStatus":{"type":"object","description":"A model representing external statuses of an order with a name and unique code.","properties":{"pk":{"type":"integer","description":"Unique identifier for the order.","readOnly":true},"uuid":{"type":"string","format":"uuid","description":"The unique identifier for the external status."},"name":{"type":"string","maxLength":64,"description":"The name of the external status."},"code":{"type":"string","maxLength":64,"description":"A unique code representing the external status."},"modified_date":{"type":"string","format":"date-time","readOnly":true,"description":"Modified Date"},"created_date":{"type":"string","format":"date-time","readOnly":true,"description":"Created Date"}},"required":["name","code"]}},"responses":{"401":{"description":"Unauthorized Access","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Contains a detailed description of the error."},"code":{"type":"string","description":"Represents the server-side error code."}}}}}},"403":{"description":"Forbidden"},"500":{"description":"Server Error"}}},"paths":{"/api/v1/order_external_statuses/":{"get":{"summary":"List order external statuses","description":"Retrieve a paginated list of all order external statuses.","tags":["OrderExternalStatus"],"parameters":[{"$ref":"#/components/parameters/page"},{"$ref":"#/components/parameters/limit"},{"$ref":"#/components/parameters/created_date"},{"$ref":"#/components/parameters/modified_date"},{"$ref":"#/components/parameters/pk"},{"$ref":"#/components/parameters/pk__gt"},{"$ref":"#/components/parameters/pk__gte"},{"$ref":"#/components/parameters/pk__lt"},{"$ref":"#/components/parameters/pk__lte"},{"$ref":"#/components/parameters/pk__in"},{"$ref":"#/components/parameters/uuid"},{"$ref":"#/components/parameters/name"},{"$ref":"#/components/parameters/code"}],"responses":{"200":{"description":"A paginated list of cargo companies.","content":{"application/json":{"schema":{"type":"object","properties":{"count":{"type":"integer","description":"Total number of cargo companies available."},"next":{"type":"string","nullable":true,"description":"URL of the next results page."},"previous":{"type":"string","nullable":true,"description":"URL of the previous results page."},"results":{"type":"array","items":{"$ref":"#/components/schemas/OrderExternalStatus"}}}}}}},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## Create a new order external status

> Create a new order external status with the provided details.

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"OrderExternalStatus":{"type":"object","description":"A model representing external statuses of an order with a name and unique code.","properties":{"pk":{"type":"integer","description":"Unique identifier for the order.","readOnly":true},"uuid":{"type":"string","format":"uuid","description":"The unique identifier for the external status."},"name":{"type":"string","maxLength":64,"description":"The name of the external status."},"code":{"type":"string","maxLength":64,"description":"A unique code representing the external status."},"modified_date":{"type":"string","format":"date-time","readOnly":true,"description":"Modified Date"},"created_date":{"type":"string","format":"date-time","readOnly":true,"description":"Created Date"}},"required":["name","code"]}},"responses":{"401":{"description":"Unauthorized Access","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Contains a detailed description of the error."},"code":{"type":"string","description":"Represents the server-side error code."}}}}}},"403":{"description":"Forbidden"},"404":{"description":"The given resource or object was not found or does not exist.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"description":"Contains a detailed description of the error.","type":"string"}}}}}},"500":{"description":"Server Error"}}},"paths":{"/api/v1/order_external_statuses/":{"post":{"summary":"Create a new order external status","description":"Create a new order external status with the provided details.","tags":["OrderExternalStatus"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderExternalStatus"}}}},"responses":{"201":{"description":"The order external status was created successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderExternalStatus"}}}},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.akinon.com/omnitron-openapis/orderexternalstatus.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
